<dx-data-grid class="gridContainer box-shadow" #gridWastefile [columnAutoWidth]='true' [allowColumnResizing]='true'
  [allowColumnReordering]='true' [showColumnLines]='ui.showColumnLines' [showRowLines]='ui.showRowLines'
  [hoverStateEnabled]="true" [dataSource]='dsPartyWaste' (onContentReady)="ui.onContentReady($event)"
  (onToolbarPreparing)='ui.prepareToolbar($event, true)'>
  <dxo-export [enabled]='true' [enabled]='true' fileName='wastefile'></dxo-export>
  <dxo-header-filter [visible]='true'></dxo-header-filter>
  <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
  <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='true'></dxo-scrolling>
  <dxo-search-panel [visible]='true'></dxo-search-panel>
  <dxo-filter-row [visible]="true"></dxo-filter-row>
  <dxo-master-detail [enabled]='true' template='details'></dxo-master-detail>
  <dxo-column-chooser [enabled]="true" mode='dragAndDrop'></dxo-column-chooser>

  <dxi-column caption='Companie' dataField='p_name' dataType='string' [allowHeaderFiltering]='false'></dxi-column>
  <dxi-column caption='Cod deșeu' dataField='wt_code' dataType='string'> </dxi-column>
  <dxi-column caption='Descriere deșeu' dataField='wt_name' dataType='string' [allowHeaderFiltering]='false'>
  </dxi-column>

  <div *dxTemplate='let data of "details"'>
    <app-file-upload [gridData]='{ data: { id: data.data.wtp_id} }'></app-file-upload>
  </div>

</dx-data-grid>